Summary: NeXT-alike window manager
Name: WindowMaker
Version: 0.52.0
Release: 2
Group: X11/Window Managers
Copyright: GPL
Url: http://www.windowmaker.org
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.windowmaker.org/pub/beta/srcs/%{name}-%{version}.tar.bz2
Source1: %{name}-%{version}.DefaultConf
BuildRoot: /var/tmp/%{name}-root
Requires: /lib/cpp

%description
WindowMaker is a window manager designed to emulate the look
and feel of part of the NEXTSTEP(tm) GUI. It's supposed to be fast,
relatively small, feature rich and easy to configure, with
a simple and elegant appearance borrowed from NEXTSTEP(tm).

This package is compiled with GNOME support. NLS support and menus are
totally removed.


%package devel
Summary: WindowMaker libraries
Group: Development/Libraries

%description devel
Window Maker is a window manager designed to emulate the look
and feel of part of the NEXTSTEP(tm) GUI. It's supposed to be fast,
relatively small, feature rich and easy to configure, with
a simple and elegant appearance borrowed from NEXTSTEP(tm).

This package contains static libraries for building Window-Maker-enhanced
applications.


%prep
%setup -q


%build
export CFLAGS=$RPM_OPT_FLAGS
./configure \
	--prefix=/usr \
	--sysconfdir=/etc \
	--with-nlsdir=/usr/share/locale \
	--with-appspath=/usr/share/GNUstep \
	--disable-locale \
	--enable-gnome

# Force regeneration of default configurations at "make"
make -C WindowMaker/Defaults clean

make


%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/lib/lib*.so.*

# Patch default WindowMaker configurations
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/WindowMaker/WindowMaker
perl -pi -e 's|Omnipresent = Yes;||g' \
	$RPM_BUILD_ROOT/etc/WindowMaker/WMWindowAttributes

# Remove NLS menu files since we have no NLS support anyway
rm -f $RPM_BUILD_ROOT/usr/share/WindowMaker/{menu.*,plmenu.*}
perl -pi -e 's| menu.\*||g'	$RPM_BUILD_ROOT/usr/bin/wmaker.inst 
perl -pi -e 's| plmenu.\?\?||g'	$RPM_BUILD_ROOT/usr/bin/wmaker.inst

# Collect files for %doc sections below
cp -p WPrefs.app/README README.WPrefs
cp -p util/README README.util

# These are for %doc of devel package
mkdir -p rpm_doc/{WINGs,wmlib,wrlib}
cp -p WINGs/{ChangeLog,README,TODO} rpm_doc/WINGs
cp -p wmlib/COPYING.LIB rpm_doc/wmlib
cp -p wrlib/{AUTHORS,COPYING,ChangeLog,INSTALL,NEWS,README,TODO} rpm_doc/wrlib


%files
%defattr(-,root,root)
%doc AUTHORS BUGFORM BUGS COPYING COPYING.OPL ChangeLog FAQ FAQ.I18N INSTALL
%doc MIRRORS NEWS README README.GNOME README.KDE TODO
%doc README.WPrefs README.util
%dir /etc/WindowMaker
%config /etc/WindowMaker/*
/usr/bin/*
/usr/lib/lib*.so.*
/usr/man/man*/*
/usr/share/GNUstep
/usr/share/WINGs
/usr/share/WindowMaker

%files devel
%defattr(-,root,root)
%doc rpm_doc/*
/usr/include/*
/usr/lib/lib*.a
/usr/lib/lib*.la
/usr/lib/lib*.so


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT
